$.fn.extend({
  storeApiKey: function() {
                 $('#home').data('apiKey', this.val());
               }
});

function apiKey() {
  return $('#home').data('apiKey');
};

$(function(){

  // Handle orientation change
  $('body').bind('turn', function(e, data){
    $('#orient').html('Orientation: ' + data.orientation);
  });

  // Verify user wants to open a new window
  $('a[target="_blank"]').click(function() {
    if (confirm('This link opens in a new window.')) {
      return true;
    } else {
      $(this).removeClass('active');
      return false;
    }
  });

  // Jump to projects page if API key present
  $('#home').bind('pageAnimationStart', function(e, info){
    if ($(this).data('api_key')) {
      $('.home a[href="#project"]').click();
    }
  });

  $('#projects').
  bind('pageAnimationStart', function(e, info){
    $('#home input#api_key').storeApiKey();
  }).
  bind('pageAnimationEnd', function(e, info){
    var container = $(this).find('#listing');
    $.ajax({
        url: 'http://omniboard.heroku.com/api/projects.json',
        data: {auth_token: apiKey()},
        success: function(data) {
          $('ul', container).replaceWith('<ul></ul>');
          for(var i = 0; i < data.length; i++) {
            $('ul', container).append('<li><h2>'+data[i].project.name+'</h2>' +
                                      '<p>'     +data[i].project.description+'</p></li>');
          }
        },
        dataType: 'json'
    });
  });

});
